Scilab Function
Last update : 16/06/2004

isnan - vérifie si des composantes "NaN" (Not a Number) sont présentes.

### Calling Sequence

  `r=isnan(x)`

### Parameters

- `x` : vecteur ou matrice complexe ou réelle. r : vecteur ou matrice de booléens.

### Description

`isnan(x)` renvoie un vecteur ou une matrice de booléens contenant des composantes égales à %T (vrai) correspondant aux composantes "NaN" (Not a Number) de `x` et %F (faux) pour les autres.

### Examples

    isnan([1 0.01 -%nan %inf-%inf])

### See Also

`isinf`,